4 4

[alpine-aports] [PATCH] testing/pass: upgrade to 1.7

Ivan Tham
Details
Message ID
<20170317122946.22080-1-pickfire@riseup.net>
Sender timestamp
1489753786
DKIM signature
missing
Download raw message
Patch: +3 -5
---
 testing/pass/APKBUILD | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/testing/pass/APKBUILD b/testing/pass/APKBUILD
index 56f7dd26..08f65720 100644
--- a/testing/pass/APKBUILD
+++ b/testing/pass/APKBUILD
@@ -2,8 +2,8 @@
 # Contributor: Johannes Matheis <jomat+alpinebuild@jmt.gr>
 # Maintainer: Johannes Matheis <jomat+alpinebuild@jmt.gr>
 pkgname=pass
-pkgver=1.6.5
-pkgrel=3
+pkgver=1.7
+pkgrel=0
 pkgdesc="Stores, retrieves, generates, and synchronizes passwords securely"
 url="http://zx2c4.com/projects/password-store/"
 arch="noarch"
@@ -67,6 +67,4 @@ zshcomp() {
 		"$subpkgdir"/usr/share/zsh/site-functions || return 1
 }
 
-md5sums="2c4468360c678184051e76f03c2f6b04  password-store-1.6.5.tar.xz"
-sha256sums="337a39767e6a8e69b2bcc549f27ff3915efacea57e5334c6068fcb72331d7315  password-store-1.6.5.tar.xz"
-sha512sums="e28503b63c6d18a2f45f4a732fdec0380c2ac15e1778136ec5e7ac568662b09183d3ad4fd36ca7e87cfe74540f916cb6365695bdf665a39da4cbe86c4bde7a78  password-store-1.6.5.tar.xz"
+sha512sums="f31fd067f9c6134eac7bb5039df6de3d6fe25c9fcd16d27a0cba159bd7fa9361193081a1fff2000cba1943edbb324e645c6399d4f4aa9f441dd9c67696462a50  password-store-1.7.tar.xz"
-- 
2.11.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Leonardo Arena
Details
Message ID
<c5416570-0b63-e1ad-aa40-3ed99ea634e8@gmail.com>
In-Reply-To
<20170317122946.22080-1-pickfire@riseup.net> (view parent)
Sender timestamp
1490009058
DKIM signature
missing
Download raw message
Hi,


On 17/03/2017 13:29, Ivan Tham wrote:
> ---
>  testing/pass/APKBUILD | 8 +++-----
>  1 file changed, 3 insertions(+), 5 deletions(-)
>
> diff --git a/testing/pass/APKBUILD b/testing/pass/APKBUILD
> index 56f7dd26..08f65720 100644

Here it fails with:

>>> pass-bash-completion*: Running split function bashcomp...
mv: can't rename
'/home/larena/aports/testing/pass/pkg/pass/usr/share/bash-completion/completions/*':
No such file or directory
>>> ERROR: pass-bash-completion*: bashcomp failed
>>> ERROR: pass*: prepare_subpackages failed
>>> ERROR: pass: all failed

Thanks!

|_eo
Ivan Tham
Details
Message ID
<20170320133443.15083-1-pickfire@riseup.net>
In-Reply-To
<c5416570-0b63-e1ad-aa40-3ed99ea634e8@gmail.com> (view parent)
Sender timestamp
1490016883
DKIM signature
missing
Download raw message
Patch: +12 -17
---
 testing/pass/APKBUILD | 29 ++++++++++++-----------------
 1 file changed, 12 insertions(+), 17 deletions(-)

diff --git a/testing/pass/APKBUILD b/testing/pass/APKBUILD
index 56f7dd26..ca4740ee 100644
--- a/testing/pass/APKBUILD
+++ b/testing/pass/APKBUILD
@@ -2,8 +2,8 @@
 # Contributor: Johannes Matheis <jomat+alpinebuild@jmt.gr>
 # Maintainer: Johannes Matheis <jomat+alpinebuild@jmt.gr>
 pkgname=pass
-pkgver=1.6.5
-pkgrel=3
+pkgver=1.7
+pkgrel=0
 pkgdesc="Stores, retrieves, generates, and synchronizes passwords securely"
 url="http://zx2c4.com/projects/password-store/"
 arch="noarch"
@@ -18,10 +18,10 @@ subpackages="$pkgname-doc
 	$pkgname-fish-completion:fishcomp
 	$pkgname-zsh-completion:zshcomp"
 source="http://git.zx2c4.com/password-store/snapshot/password-store-${pkgver}.tar.xz"
+builddir="$srcdir/password-store-$pkgver"
 
-_builddir="$srcdir/password-store-$pkgver"
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" \
 		FORCE_BASHCOMP=1 \
 		FORCE_ZSHCOMP=1 \
@@ -31,7 +31,7 @@ package() {
 contrib() {
 	pkgdesc="contrib files for pass"
 	mkdir -p "$subpkgdir"/usr/share
-	cp -a "$_builddir"/contrib "$subpkgdir"/usr/share/$pkgname
+	cp -a "$builddir"/contrib "$subpkgdir"/usr/share/$pkgname
 }
 
 bashcomp() {
@@ -40,9 +40,8 @@ bashcomp() {
 	install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
 	arch="noarch"
 
-	mkdir -p "$subpkgdir"/usr/share/bash-completion/completions
-	mv "$pkgdir"/usr/share/bash-completion/completions/* \
-		"$subpkgdir"/usr/share/bash-completion/completions/ || return 1
+	install -Dm644 "$pkgdir"/usr/share/bash-completion/completions/pass \
+		"$subpkgdir"/usr/share/bash-completion/completions/pass || return 1
 }
 
 fishcomp() {
@@ -51,9 +50,8 @@ fishcomp() {
 	install_if="$pkgname=$pkgver-r$pkgrel fish"
 	arch="noarch"
 
-	mkdir -p "$subpkgdir"/usr/share/fish/completions/
-	mv "$pkgdir"/usr/share/fish/vendor_completions.d/* \
-		"$subpkgdir"/usr/share/fish/completions/ || return 1
+	install -Dm644 "$pkgdir"/usr/share/fish/vendor_completions.d/pass.fish \
+		"$subpkgdir"/usr/share/fish/completions/pass.fish || return 1
 }
 
 zshcomp() {
@@ -62,11 +60,8 @@ zshcomp() {
 	install_if="$pkgname=$pkgver-r$pkgrel zsh"
 	arch="noarch"
 
-	mkdir -p "$subpkgdir/usr/share/zsh/site-functions"
-	mv "$pkgdir"/usr/share/zsh/site-functions/* \
-		"$subpkgdir"/usr/share/zsh/site-functions || return 1
+	install -Dm644 "$pkgdir"/usr/share/zsh/site-functions/_pass \
+		"$subpkgdir"/usr/share/zsh/site-functions/_pass || return 1
 }
 
-md5sums="2c4468360c678184051e76f03c2f6b04  password-store-1.6.5.tar.xz"
-sha256sums="337a39767e6a8e69b2bcc549f27ff3915efacea57e5334c6068fcb72331d7315  password-store-1.6.5.tar.xz"
-sha512sums="e28503b63c6d18a2f45f4a732fdec0380c2ac15e1778136ec5e7ac568662b09183d3ad4fd36ca7e87cfe74540f916cb6365695bdf665a39da4cbe86c4bde7a78  password-store-1.6.5.tar.xz"
+sha512sums="f31fd067f9c6134eac7bb5039df6de3d6fe25c9fcd16d27a0cba159bd7fa9361193081a1fff2000cba1943edbb324e645c6399d4f4aa9f441dd9c67696462a50  password-store-1.7.tar.xz"
-- 
2.11.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Timo Teras
Details
Message ID
<20170322083205.545e0f92@vostro.util.wtbts.net>
In-Reply-To
<20170320133443.15083-1-pickfire@riseup.net> (view parent)
Sender timestamp
1490164325
DKIM signature
missing
Download raw message
On Mon, 20 Mar 2017 21:34:43 +0800
Ivan Tham <pickfire@riseup.net> wrote:

> ---
>  testing/pass/APKBUILD | 29 ++++++++++++-----------------
>  1 file changed, 12 insertions(+), 17 deletions(-)

Still fails with:
>>> pass-doc*: Running postcheck for pass-doc
>>> pass-contrib*: Running split function contrib...
>>> pass-contrib*: Preparing subpackage pass-contrib...
>>> pass-contrib*: Running postcheck for pass-contrib
>>> pass-bash-completion*: Running split function bashcomp...
install: can't stat
'/home/tteras/aports/testing/pass/pkg/pass/usr/share/bash-completion/completions/pass':
No such file or directory
>>> ERROR: pass-bash-completion*: bashcomp failed
>>> ERROR: pass*: prepare_subpackages failed
>>> ERROR: pass: all failed

see below:

...

> diff --git a/testing/pass/APKBUILD b/testing/pass/APKBUILD
> index 56f7dd26..ca4740ee 100644
> --- a/testing/pass/APKBUILD
> +++ b/testing/pass/APKBUILD


> @@ -18,10 +18,10 @@ subpackages="$pkgname-doc
>  	$pkgname-fish-completion:fishcomp
>  	$pkgname-zsh-completion:zshcomp"
>  source="http://git.zx2c4.com/password-store/snapshot/password-store-${pkgver}.tar.xz"
> +builddir="$srcdir/password-store-$pkgver"
>  
> -_builddir="$srcdir/password-store-$pkgver"
>  package() {
> -	cd "$_builddir"
> +	cd "$builddir"
>  	make DESTDIR="$pkgdir" \
>  		FORCE_BASHCOMP=1 \
>  		FORCE_ZSHCOMP=1 \

Seems the FORCE_*COMP changed. The Makefile has now:
ifneq ($(WITH_ALLCOMP),)
WITH_BASHCOMP := $(WITH_ALLCOMP)
WITH_ZSHCOMP := $(WITH_ALLCOMP)
WITH_FISHCOMP := $(WITH_ALLCOMP)

You need to use WITH_*COMP or set WITH_ALLCOMP instead of FORCE_...

Thanks
Timo


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

Re: [alpine-aports] testing/pass: upgrade to 1.7

Pickfire
Details
Message ID
<20170322145842.d2bayWHQ-%pickfire@riseup.net>
In-Reply-To
<20170320133443.15083-1-pickfire@riseup.net> (view parent)
Sender timestamp
1490194722
DKIM signature
missing
Download raw message
Ivan Tham <pickfire@riseup.net> wrote:

> ---
>  testing/pass/APKBUILD | 29 ++++++++++++-----------------
>  1 file changed, 12 insertions(+), 17 deletions(-)
> 
> diff --git a/testing/pass/APKBUILD b/testing/pass/APKBUILD
> index 56f7dd26..ca4740ee 100644
> --- a/testing/pass/APKBUILD
> +++ b/testing/pass/APKBUILD
> @@ -2,8 +2,8 @@
>  # Contributor: Johannes Matheis <jomat+alpinebuild@jmt.gr>
>  # Maintainer: Johannes Matheis <jomat+alpinebuild@jmt.gr>
>  pkgname=pass
> -pkgver=1.6.5
> -pkgrel=3
> +pkgver=1.7
> +pkgrel=0
>  pkgdesc="Stores, retrieves, generates, and synchronizes passwords securely"
>  url="http://zx2c4.com/projects/password-store/"
>  arch="noarch"
> @@ -18,10 +18,10 @@ subpackages="$pkgname-doc
>  	$pkgname-fish-completion:fishcomp
>  	$pkgname-zsh-completion:zshcomp"
>  source="http://git.zx2c4.com/password-store/snapshot/password-store-${pkgver}.tar.xz"
> +builddir="$srcdir/password-store-$pkgver"
>  
> -_builddir="$srcdir/password-store-$pkgver"
>  package() {
> -	cd "$_builddir"
> +	cd "$builddir"
>  	make DESTDIR="$pkgdir" \
>  		FORCE_BASHCOMP=1 \
>  		FORCE_ZSHCOMP=1 \
> @@ -31,7 +31,7 @@ package() {
>  contrib() {
>  	pkgdesc="contrib files for pass"
>  	mkdir -p "$subpkgdir"/usr/share
> -	cp -a "$_builddir"/contrib "$subpkgdir"/usr/share/$pkgname
> +	cp -a "$builddir"/contrib "$subpkgdir"/usr/share/$pkgname
>  }
>  
>  bashcomp() {
> @@ -40,9 +40,8 @@ bashcomp() {
>  	install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
>  	arch="noarch"
>  
> -	mkdir -p "$subpkgdir"/usr/share/bash-completion/completions
> -	mv "$pkgdir"/usr/share/bash-completion/completions/* \
> -		"$subpkgdir"/usr/share/bash-completion/completions/ || return 1
> +	install -Dm644 "$pkgdir"/usr/share/bash-completion/completions/pass \
> +		"$subpkgdir"/usr/share/bash-completion/completions/pass || return 1
>  }
>  
>  fishcomp() {
> @@ -51,9 +50,8 @@ fishcomp() {
>  	install_if="$pkgname=$pkgver-r$pkgrel fish"
>  	arch="noarch"
>  
> -	mkdir -p "$subpkgdir"/usr/share/fish/completions/
> -	mv "$pkgdir"/usr/share/fish/vendor_completions.d/* \
> -		"$subpkgdir"/usr/share/fish/completions/ || return 1
> +	install -Dm644 "$pkgdir"/usr/share/fish/vendor_completions.d/pass.fish \
> +		"$subpkgdir"/usr/share/fish/completions/pass.fish || return 1
>  }
>  
>  zshcomp() {
> @@ -62,11 +60,8 @@ zshcomp() {
>  	install_if="$pkgname=$pkgver-r$pkgrel zsh"
>  	arch="noarch"
>  
> -	mkdir -p "$subpkgdir/usr/share/zsh/site-functions"
> -	mv "$pkgdir"/usr/share/zsh/site-functions/* \
> -		"$subpkgdir"/usr/share/zsh/site-functions || return 1
> +	install -Dm644 "$pkgdir"/usr/share/zsh/site-functions/_pass \
> +		"$subpkgdir"/usr/share/zsh/site-functions/_pass || return 1
>  }
>  
> -md5sums="2c4468360c678184051e76f03c2f6b04  password-store-1.6.5.tar.xz"
> -sha256sums="337a39767e6a8e69b2bcc549f27ff3915efacea57e5334c6068fcb72331d7315  password-store-1.6.5.tar.xz"
> -sha512sums="e28503b63c6d18a2f45f4a732fdec0380c2ac15e1778136ec5e7ac568662b09183d3ad4fd36ca7e87cfe74540f916cb6365695bdf665a39da4cbe86c4bde7a78  password-store-1.6.5.tar.xz"
> +sha512sums="f31fd067f9c6134eac7bb5039df6de3d6fe25c9fcd16d27a0cba159bd7fa9361193081a1fff2000cba1943edbb324e645c6399d4f4aa9f441dd9c67696462a50  password-store-1.7.tar.xz"

Looks like yours failed instead:

>>> pass-bash-completion*: Running split function bashcomp...
install: cannot stat '/home/ivan/act/pkg/aports/testing/pass/pkg/pass/usr/share/bash-completion/completions/pass': No such file or directory
>>> ERROR: pass-bash-completion*: bashcomp failed
>>> ERROR: pass*: prepare_subpackages failed
>>> ERROR: pass: all failed

Mine works:

'src/completion/pass.bash-completion' -> '/home/ivan/act/pkg/aports/testing/pass/pkg/pass/usr/share/bash-completion/completions/pass'
install: creating directory '/home/ivan/act/pkg/aports/testing/pass/pkg/pass/usr/share/zsh'
install: creating directory '/home/ivan/act/pkg/aports/testing/pass/pkg/pass/usr/share/zsh/site-functions'
>>> pass-bash-completion*: Tracing dependencies...
>>> pass-bash-completion*: Package size: 4.0 KB
>>> pass-bash-completion*: Compressing data...
>>> pass-bash-completion*: Create checksum...
>>> pass-bash-completion*: Create pass-bash-completion-1.7-r0.apk

Please close the old patch
http://patchwork.alpinelinux.org/patch/3167/
http://patchwork.alpinelinux.org/patch/3168/


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---